Tarantool development patches archive
 help / color / mirror / Atom feed
* [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
@ 2020-07-27 13:11 Alexander V. Tikhonov
  2020-07-27 14:18 ` Alexander Turenko
  2020-08-31 11:39 ` Kirill Yukhin
  0 siblings, 2 replies; 4+ messages in thread
From: Alexander V. Tikhonov @ 2020-07-27 13:11 UTC (permalink / raw)
  To: Kirill Yukhin, Alexander Turenko; +Cc: tarantool-patches

Found that removing RPMs additional call to its removement is
needed, when no metadata was found.
---

Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove

 tools/update_repo.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 5a68e3e05..d9b91a753 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -869,6 +869,13 @@ function remove_rpm {
         done
     done
 
+    # remove all found file by the given pattern in options
+    for suffix in 'x86_64' 'noarch' 'src'; do
+        file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+        $aws ls $file || continue
+        $aws rm $file
+    done
+
     # check if any RPM files were newly registered
     [ "$updated_rpms" == "0" ] && \
         return || echo "Updating dists"
-- 
2.17.1

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2020-08-31 11:39 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-07-27 13:11 [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata Alexander V. Tikhonov
2020-07-27 14:18 ` Alexander Turenko
2020-08-07 16:10   ` Alexander V. Tikhonov
2020-08-31 11:39 ` Kirill Yukhin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox